DataDirect Connectors Powerful ODBC Connectivity to PostgreSQL

PostgreSQL
Fast

Better throughput while using less CPU and memory

Safe

Standards-based data integration prevents version lock-in with vendor clients

Easy

A single driver for all versions

Features

confident

Confidence

Built-in failover protects applications from traffic overload or hardware failure
connectivity

Breadth

A single driver supports multiple PostgreSQL versions
secure_interface

Secure

Includes robust encryption and user authentication
scalability

Scalability

Highly efficient CPU and memory utilization to easily handle enterprise-level workloads
efficiency

Trusted

Fully ODBC compliant with no additional native requirements
usability

Easy Integration

Connect applications directly to PostgreSQL databases for increased performance and decreased complexity

Technical Specs

Progress DataDirect Connect and Connect64 for ODBC PostgreSQL Wire Protocol Driver
Version 7.1.6 
(32- and 64-bit drivers are available for all supported databases and platforms unless otherwise noted.)

ODBC Version Support

  • Compatible with ODBC 3.8 applications

Database Support

  • PostgreSQL 8.2 and higher

Operating System Support

AIX (32- and 64-bit)

  • AIX, version 5.3 and higher

HP

  • HP-UX IPF (32- and 64-bit), 11i version 2.0 (B.11.23) and higher
  • HP-UX PA-RISC (32-bit only), version 11 and higher

Linux x86 (32- and 64-bit for AMD and Intel processors. 64-bit for Itanium II.)

  • CentOS Linux x86, version 4.0 and higher
  • Debian Linux x86, version 7.0 and higher
  • Oracle Linux x86, version 4.0 and higher
  • Red Hat Enterprise Linux x86, version 4.0 and higher
  • SUSE Linux Enterprise Server Linux x86, version 10 and higher
  • Ubuntu Linux x86, version 14.04 and higher

Solaris (32- and 64-bit)

  • Solaris x86, version 10 (Solaris 5.10) and higher
  • Solaris on SPARC, version 8 (Solaris 5.8) and higher

Windows (32- and 64-bit)

  • Windows (x86), version 7 and higher
  • Windows Server (x86), version 2003 and higher
  • Windows Vista (x86)
  • Windows XP Professional (x86), SP2 or higher

Driver/Client Software Requirements

  • No Requirements

Security Vulnerability Response Policy

Upon identification of any security vulnerability, Progress will exercise commercially reasonable efforts to address the vulnerability in accordance with the following policy

Priority* Time Guideline Version(s)
High Risk
(CVSS 8+ or industry equivalent)
30 days Active (i.e. latest shipping version) and all Supported versions
Medium Risk
(CVSS 5-to-8 or industry equivalent)
180 days Active (i.e. latest shipping version)
Low Risk
(CVSS 0-to-5 or industry equivalent)
Next major release or best effort Active (i.e. latest shipping version)

* Priority is established based on the current version of the Common Vulnerability Scoring System (CVSS), an open industry standard for assessing the severity of computer system security vulnerabilities. For additional information on this scoring system, refer to https://en.wikipedia.org/wiki/CVSS.

Learning & Support

10_reasons_you need_high_performance

IN THE SPOTLIGHT

Top 10 Reasons Why You Need High-Performance Data Connectivity

Data connectivity is a critical but often overlooked component of the IT infrastructure. These components have dramatic effects on application performance, reliability and portability. Learn about the top 10 reasons high-performance why data connectivity is critical for your business.

Download the Flyer

Partnerships

Oracle_Service_cloud
tableau
unisys

PostgreSQL Connectors are Part of Progress Data Connectivity & Integration Solutions

icon-info-b

DataDirect Connectors

Connect any data source to any application

icon-contact-us-b

Contact Us

A product specialist will be glad to get in touch with you